package com.me.asteroids.components;

import com.badlogic.gdx.math.Vector2;
import com.me.common.ecs.Component;

public class AccelerationComponent implements Component {

    public Vector2 acceleration;

    public AccelerationComponent() {
        this(0f, 0f);
    }

    public AccelerationComponent(float x, float y) {
        this(new Vector2(x, y));
    }

    public AccelerationComponent(Vector2 acceleration) {
        this.acceleration = acceleration;
    }

    public float getX() {
        return acceleration.x;
    }

    public float getY() {
        return acceleration.y;
    }

    public void setX(float x) {
        acceleration.x = x;
    }

    public void setY(float y) {
        acceleration.y = y;
    }

    public void set(Vector2 vector) {
        set(vector.x, vector.y);
    }

    public void set(float x, float y) {
        acceleration.x = x;
        acceleration.y = y;
    }

}
