package com.me.asteroids.systems;

import com.me.asteroids.components.DecayComponent;
import com.me.common.ecs.Engine;
import com.me.common.ecs.Entity;
import com.me.common.ecs.EntitySystem;

import static com.me.asteroids.Components.DECAY;

public class DecaySystem extends EntitySystem {

    public DecaySystem(Engine engine) {
        super(engine, DecayComponent.class);
    }

    @Override
    public void processEntity(Entity entity, float dt) {
        DecayComponent decayComponent = DECAY.get(entity);
        if ((decayComponent.decayTimer -= dt) <= 0) {
            if (decayComponent.remove) {
                entity.remove();
            } else {
                entity.deactivate();
            }
        }
    }

}
